/* CSS Document */
.nyAbout { padding: 60px 0; overflow: hidden; }
/* 两行轮播容器 */
.lqHonor_swiper { width: 100%; overflow: hidden; padding-bottom:100px !important; position: relative; }
.lqHonor_swiper:before { content: ""; display: block; position: absolute; left: 0; top: 50%; margin-top: -179px; width: 100%; height: 123px; background: url(../images/honor_bg.png) no-repeat center 88%; background-size: contain }
.lqHonor_swiper:after { content: ""; display: block; position: absolute; left: 0; bottom:88px; width: 100%; height: 123px; background: url(../images/honor_bg.png) no-repeat center 88%; background-size: contain }
/* 每个slide一张图 */
.lqHonor_swiper .swiper-slide { width: 25%; padding: 10px; cursor: pointer; }
.lqHonor_swiper .nyHonor_Img { display: block; height: 230px; position: relative; overflow: hidden; }
.lqHonor_swiper p { text-align: center; margin-top: 50px; font-size: 16px; color: #333; }
.lqHonor_swiper p:hover{ color:#53a694;}
/* 底部箭头样式 */
.swiper-buttons { position: absolute; bottom: 10px; left: 50%; transform: translateX(-50%); display: flex; gap: 20px; }
.lqHonor_swiper .swiper-button-prev, .lqHonor_swiper .swiper-button-next { position: static; width: 40px; height: 40px; border: 1px solid #ccc; border-radius: 50%; background: #fff; color: #333; margin-top: 0; padding: 8px; }
.lqHonor_swiper .swiper-button-prev span svg { transform: rotateY(180deg); }
.lqHonor_swiper .swiper-button-prev:hover, .lqHonor_swiper .swiper-button-next:hover { border: 1px solid #53a694; }
.lqHonor_swiper .swiper-button-prev:hover span svg path, .lqHonor_swiper .swiper-button-next:hover span svg path { fill: #53a694 }
.lqHonor_swiper .swiper-button-next.swiper-button-disabled, .lqHonor_swiper .swiper-button-prev.swiper-button-disabled{ opacity:1;}
/* 大图模态框 */
.modal { display: none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0, 0, 0, 0.8); z-index: 9999; align-items: center; justify-content: center; }
.modal.show { display: flex; flex-direction: column; }
.modal-content { width:600px; height:440px; position: relative; border-radius: 4px; background: #f9f9f9; padding: 20px;}
.modal .preview-swiper { width: 100%; height: 100%; }
/* 关键：让箭头、关闭按钮 相对于图片定位 */
.modal .swiper-container-autoheight, .modal .swiper-container-autoheight .swiper-slide{ height:400px;}
.modal .swiper-slide { display: flex; align-items: center; justify-content: center; position: relative; }
.modal img {  display: block; max-width:100%; height:auto; }
/* 关闭按钮在图片右上角 */
.modal-close {position: absolute;top: -20px;right: -20px;width: 46px;height: 46px;border-radius: 50%;background: #000;color: #fff;font-size: 32px;border: none;cursor: pointer;z-index: 100;display: flex;align-items: center;justify-content: center;box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);border: 1px solid #fff;}
/* 箭头在图片两侧 */
.modal .swiper-button-prev, .modal .swiper-button-next { position: absolute; top: 50%; width: 38px; height: 38px; border-radius: 50%; background: #000; padding: 5px; z-index: 10; }
.modal .swiper-button-prev { left: 20px; }
.modal .swiper-button-next { right: 20px; }
.modal .swiper-button-prev span svg { transform: rotateY(180deg); }
.modal .swiper-button-prev::after, .modal .swiper-button-next::after { display: none; }
/* 底部标题栏 */
.modal-title { margin-top: 15px; background: rgba(0, 0, 0, 0.7); color: #fff; padding:4px 20px; border-radius:15px; font-size: 16px; font-weight:bold; }
@media (max-width:1680px) {
.nyAbout{ padding:50px 0;}
.lqHonor_swiper:before{ margin-top:-170px;}
.lqHonor_swiper:after{ bottom:80px;}
}
@media (max-width:1560px) {
.lqHonor_swiper:before{ margin-top:-180px;}
.lqHonor_swiper:after{ bottom:90px;}
}
@media (max-width:1366px) {
.lqHonor_swiper:before{ margin-top:-188px;}
.lqHonor_swiper:after{ bottom:100px;}
}
@media (max-width:1200px) {
.nyAbout{ padding:40px 0;}
.lqHonor_swiper:before{ margin-top:-198px;}
.lqHonor_swiper:after{ bottom:110px;}
}
@media (max-width:1024px) {
.lqHonor_swiper:before{ margin-top:-202px;}
.lqHonor_swiper:after{ bottom:116px;}
}

@media (max-width:920px) {
.lqHonor_swiper:before{ margin-top:-212px;}
.lqHonor_swiper:after{ bottom:123px;}
}

@media (max-width:767px) {
.nyAbout{ padding:30px 0;}
.lqHonor_swiper{padding-bottom:80px !important;}
.swiper-buttons{gap:10px;}
.modal-content{ width:90%;}
.lqHonor_swiper:before{ margin-top:-207px;}
.lqHonor_swiper:after{ bottom:109px;}
}
@media (max-width:650px) {
.lqHonor_swiper:before{ margin-top:-211px;}
.lqHonor_swiper:after{ bottom:115px;}
}
@media (max-width:550px) {.lqHonor_swiper:after{ bottom:118px;}
}
@media (max-width:425px) {
.lqHonor_swiper:before{ margin-top:-217px;}
.lqHonor_swiper:after{ bottom:125px;}
}